%Loading libraries
import zaber.motion.Library;
import zaber.motion.binary.Connection;
import zaber.motion.Units;



Library.enableDeviceDbStore(); %This will store the library for offline use. Comment out if not needed.

%opening serial ports
connection = Connection.openSerialPort('/dev/ttyUSB0');
try
    deviceList = connection.detectDevices();
    fprintf('Found %d devices.\n', deviceList.length);

  %homing devices
        device = deviceList(1);
        device2 = deviceList (2);
        device.home();
        device2.home ();
        
%mCalibration Experiment
        device2.moveAbsolute(11, Units.LENGTH_MILLIMETRES);
        for SWABFORCE=0 : 40
            D = 0.1351;
            device2.moveRelative(D, Units.LENGTH_MILLIMETRES);
            pause (5);
        end
        
        device2.home ();

    connection.close();
catch exception
    connection.close();
    rethrow(exception);
end

